--- old/usr/src/cmd/zoneadmd/vplat.c	2012-09-27 20:38:35.194984544 +0000
+++ new/usr/src/cmd/zoneadmd/vplat.c	2012-09-27 20:38:35.203170836 +0000
@@ -1170,7 +1170,7 @@
 	}
 
 	/* Add user-specified devices and directories */
-	if (err = zonecfg_setdevent(snap_hndl)) {
+	if ((err = zonecfg_setdevent(snap_hndl)) != 0) {
 		zerror(zlogp, B_FALSE, "%s: %s", zone_name,
 		    zonecfg_strerror(err));
 		goto cleanup;
--- old/usr/src/uts/common/fs/hyprlofs/hyprlofs_dir.c	2012-09-27 20:38:35.530739072 +0000
+++ new/usr/src/uts/common/fs/hyprlofs/hyprlofs_dir.c	2012-09-27 20:38:35.544198545 +0000
@@ -307,7 +307,7 @@
 			return (EEXIST); /* thus in ufs */
 	}
 
-	if (error = hyprlofs_taccess(dir, VEXEC|VWRITE, cr))
+	if ((error = hyprlofs_taccess(dir, VEXEC|VWRITE, cr)) != 0)
 		return (error);
 
 	if (dir->hln_dir == NULL)
--- old/usr/src/uts/common/fs/hyprlofs/hyprlofs_vfsops.c	2012-09-27 20:38:35.731486552 +0000
+++ new/usr/src/uts/common/fs/hyprlofs/hyprlofs_vfsops.c	2012-09-27 20:38:35.739713586 +0000
@@ -274,8 +274,9 @@
 	/* Having the resource be anything but "swap" doesn't make sense. */
 	vfs_setresource(vfsp, "swap", 0);
 
-	if (error = pn_get(uap->dir,
-	    (uap->flags & MS_SYSSPACE) ? UIO_SYSSPACE : UIO_USERSPACE, &dpn))
+	if ((error = pn_get(uap->dir,
+	    (uap->flags & MS_SYSSPACE) ? UIO_SYSSPACE : UIO_USERSPACE,
+	    &dpn)) != 0)
 		goto out;
 
 	if ((hm = hyprlofs_memalloc(sizeof (hlfsmount_t), 0)) == NULL) {
--- old/usr/src/uts/common/fs/hyprlofs/hyprlofs_vnops.c	2012-09-27 20:38:35.923561410 +0000
+++ new/usr/src/uts/common/fs/hyprlofs/hyprlofs_vnops.c	2012-09-27 20:38:35.932079374 +0000
@@ -554,7 +554,8 @@
 	 * Get vnode for the real file/dir. We'll have a hold on realvp which
 	 * we won't vn_rele until hyprlofs_inactive.
 	 */
-	if (error = lookupname(fspath, UIO_SYSSPACE, FOLLOW, NULLVPP, &realvp))
+	if ((error = lookupname(fspath, UIO_SYSSPACE, FOLLOW, NULLVPP,
+	    &realvp)) != 0)
 		return (error);
 
 	/* no devices allowed */
@@ -581,7 +582,7 @@
 	 * the VOP_ACCESS() call not the AUTOFS node itself.
 	 */
 	if (vn_mountedvfs(realvp) != NULL) {
-		if (error = traverse(&realvp)) {
+		if ((error = traverse(&realvp)) != 0) {
 			VN_RELE(realvp);
 			return (error);
 		}
--- old/usr/src/uts/common/fs/lxproc/lxpr_vnops.c	2012-09-27 20:38:36.142613320 +0000
+++ new/usr/src/uts/common/fs/lxproc/lxpr_vnops.c	2012-09-27 20:38:36.154384379 +0000
@@ -2667,9 +2667,9 @@
 		 * number of bytes being returned to the user.  So we set
 		 * uiop->uio_offset separately, ignoring what uiomove() does.
 		 */
-		if (error = uiomove((caddr_t)dirent, reclen, UIO_READ, uiop)) {
+		if ((error = uiomove((caddr_t)dirent, reclen, UIO_READ,
+		    uiop)) != 0)
 			return (error);
-		}
 
 		uiop->uio_offset = uoffset + LXPR_SDSIZE;
 	}
@@ -2805,7 +2805,8 @@
 		 * uiop->uio_offset separately, in the increment of this for
 		 * the loop, ignoring what uiomove() does.
 		 */
-		if (error = uiomove((caddr_t)dirent, reclen, UIO_READ, uiop))
+		if ((error = uiomove((caddr_t)dirent, reclen, UIO_READ,
+		    uiop)) != 0)
 			return (error);
 next:
 		uiop->uio_offset = uoffset + LXPR_SDSIZE;
@@ -2937,7 +2938,8 @@
 			goto out;
 		}
 
-		if (error = uiomove((caddr_t)dirent, reclen, UIO_READ, uiop))
+		if ((error = uiomove((caddr_t)dirent, reclen, UIO_READ,
+		    uiop)) != 0)
 			goto out;
 	}
 
